// fulfillmentStatus = if 1 => unfullfilled
// pd_status = 5 then product is draft if pd_status = 1 then active
const mongoose = require("mongoose");
const {mongooseConstantValues,channelCodes} = require('../apps/common/systemConstents')
//const {solrIndexing,deleteSolrIndexing} = require('../apps/common/Solr');
//const generateBarcodeFn = require("../apps/common/updateBarcodeCron");
var fs = require('fs');

const {EJSON} = require('bson');

const ProductSchema = mongoose.Schema({
    code: {
        type: String, 
    },
    uploaded_on: {
        type: Date,
        default: Date.now,
    },
    updated_on: {
        type: Date,
    },
    
  });

const productModel = mongoose.model("ProductNotInventorys", ProductSchema);

module.exports = productModel;
// varStatus = Update shopify varient status if status update then it will 1
// price_update_flag = 1 if product uploaded by excel  0 = 
